{% extends "base.html" %}

{% block content %}

    {% include "includes/is_beta.html" %}
    {% include "includes/show_flashed_messages.html" %}
    <h1>Battle Results</h1>

    <div class="nes-table-responsive">
        <table class="nes-table is-bordered is-centered">
            <thead>
            <tr>
                <th>Battle ID</th>
                <th>Battle State</th>
                <th>Bot 1</th>
                <th>Bot 2</th>
                <th>Result</th>
                <th>Date</th>
            </tr>
            </thead>
            <tbody>
            {% for result in results %}
                <tr>
                    <td>{{ result.battle_id }}</td>
                    <td>{{ result.state }}</td>
                    {% for bot in result.bots %}
                        <td>{{ bot.tag }} (id:{{ bot.bot_id }})</td>
                    {% endfor %}
                    <td>{{ result.bot1_wins }} - {{ result.bot2_wins }}</td>
                    <td>{{ result.battle_date }}</td>
                </tr>
            {% endfor %}
            </tbody>
        </table>
    </div>

{% endblock %}